import request from "/@/utils/request"

export function fetchList(query?: Object) {
    return request({
        url: '/aichat/AIModel/page',
        method: 'get',
        params: query
    })
}

export function addObj(obj?: Object) {
    return request({
        url: '/aichat/AIModel',
        method: 'post',
        data: obj
    })
}

/**
 * 查询所有模型
 */
export function getAllModels() {
    return request({
        url: '/aichat/AIModel/all',
        method: 'get'
    })
}

export function getObj(id?: string) {
    return request({
        url: '/aichat/AIModel/' + id,
        method: 'get'
    })
}

/**
 * 根据会话组id获取默认模型
 * @param conversationId
 */
export function getModel(conversationId?: number) {
    return request({
        url: '/aichat/AIModel/getModel/' + conversationId,
        method: 'get'
    })
}

export function delObjs(ids?: Object) {
    return request({
        url: '/aichat/AIModel',
        method: 'delete',
        data: ids
    })
}

export function putObj(obj?: Object) {
    return request({
        url: '/aichat/AIModel',
        method: 'put',
        data: obj
    })
}

