import request from "/@/utils/request"

export function fetchList(query?: Object) {
    return request({
        url: '/aichat/AiConversation/page',
        method: 'get',
        params: query
    })
}

export function addObj(obj?: Object) {
    return request({
        url: '/aichat/AiConversation',
        method: 'post',
        data: obj
    })
}

export function getObj(id?: string) {
    return request({
        url: '/aichat/AiConversation/' + id,
        method: 'get'
    })
}

/**
 * 根据用户名获取当前用户的会话列表
 * @param userName
 */
export function getConversationList(userName?: string) {
    return request({
        url: '/aichat/AiConversation/getConversationList/' + userName,
        method: 'get'
    })
}

export function delObjs(ids?: Object) {
    return request({
        url: '/aichat/AiConversation',
        method: 'delete',
        data: ids
    })
}

export function putObj(obj?: Object) {
    return request({
        url: '/aichat/AiConversation',
        method: 'put',
        data: obj
    })
}

