import request from "/@/utils/request"

export function fetchList(query?: Object) {
  return request({
    url: '/aichat/AiMessage/page',
    method: 'get',
    params: query
  })
}

export function addObj(obj?: Object) {
  return request({
    url: '/aichat/AiMessage',
    method: 'post',
    data: obj
  })
}

export function getObj(id?: string) {
  return request({
    url: '/aichat/AiMessage/' + id,
    method: 'get'
  })
}

/**
 * 根据会话组获取聊天历史记录
 * @param conversationId
 */
export function getMessageList(conversationId?: number) {
  return request({
    url: '/aichat/AiMessage/getMessageList/' + conversationId,
    method: 'get'
  })
}
export function delObjs(ids?: Object) {
  return request({
    url: '/aichat/AiMessage',
    method: 'delete',
    data: ids
  })
}

export function putObj(obj?: Object) {
  return request({
    url: '/aichat/AiMessage',
    method: 'put',
    data: obj
  })
}

